svn commit: r328118 - user/pho/stress2/tools

Peter Holm pho at FreeBSD.org
Thu Jan 18 11:07:41 UTC 2018


Author: pho
Date: Thu Jan 18 11:07:40 2018
New Revision: 328118
URL: https://svnweb.freebsd.org/changeset/base/328118

Log:
  Initial version of a simple setup script.
  
  Sponsored by:	Dell EMC Isilon

Added:
  user/pho/stress2/tools/setup.sh   (contents, props changed)

Added: user/pho/stress2/tools/setup.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/tools/setup.sh	Thu Jan 18 11:07:40 2018	(r328118)
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# Extract and install stress2, a tool to find kernel errors.
+
+# The default installation directory is /tmp/work
+# Please note that stress2 was never meant to be a validation tool.
+
+# $FreeBSD$
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+set -e
+echo -n "Enter non-root test user name: "
+read testuser
+id $testuser > /dev/null 2>&1 ||
+    { echo "user \"$testuser\" not found."; exit 1; }
+[ $testuser ] || exit 1
+work=${work:-/tmp/work}
+mkdir -p $work
+cd $work
+echo "Extracting stress2 to $work"
+svnlite checkout -q svn://svn.freebsd.org/base/user/pho/stress2
+cd stress2
+echo "testuser=$testuser" > `hostname`
+make > /dev/null
+echo "Tests to run are in $work/stress2/misc
+To run all tests, type ./all.sh -on
+To run for example all tmpfs tests, type ./all.sh -on `grep -l tmpfs *.sh`"


More information about the svn-src-user mailing list